Skip to main content
`Ctrl`+`K`

# TSCN

ODE solver using the implicit Crank-Nicolson method.

## Notes

`TSCN` is equivalent to `TSTHETA` with Theta=0.5 and the “endpoint” option set. I.e.

      -ts_type theta
      -ts_theta_theta 0.5
      -ts_theta_endpoint

## See Also

TS: Scalable ODE and DAE Solvers, `TSCreate()`, `TS`, `TSSetType()`, `TSBEULER`, `TSTHETA`, `TSType`,

## Level

beginner

## Location

src/ts/impls/implicit/theta/theta.c

## Examples

src/ts/tutorials/ex20opt_p.c
src/ts/tutorials/ex20adj.c
src/ts/tutorials/ex31.c
src/ts/tutorials/ex20td.c
src/ts/tutorials/ex27.c
src/ts/tutorials/ex20opt_ic.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages